Skip to main content
GET
https://api.dintero.com/v1
/
accounts
/
{aid}
/
customers
/
settings
Customers settings
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/customers/settings \
  --header 'Authorization: Bearer <token>'
{
  "users": {
    "customer_id_format": "uuid",
    "head": {
      "enabled": false
    },
    "phone_number_validation": {
      "allow_duplicates": false
    },
    "mfa": {
      "enabled": false,
      "login": {
        "challenge_type": "oob",
        "oob_channel": "sms"
      },
      "login_recovery": {
        "challenge_type": "oob",
        "oob_channel": "sms"
      }
    },
    "verifications": {
      "phone_number": "sms"
    }
  },
  "auto_tokens": {
    "phone_number": [
      {
        "type": "SHA256"
      }
    ],
    "email": [
      {
        "type": "SHA256"
      }
    ]
  },
  "tokens": {
    "event_expiry": [
      {
        "status": "OPT_OUT",
        "time_to_live": 15780000
      }
    ]
  },
  "attributes": [
    {
      "name": "<string>",
      "type": "string",
      "multiple_values": false,
      "private": false
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Response

an object of customers settings

Customer settings for the account

users
object

customers user configurations

auto_tokens
object

Automatically generate tokens for these properties on the customer

tokens
object

tokens configuration

attributes
object[]

user attributes